MWAWSpreadsheetEncoder Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
MWAWSpreadsheetEncoder Class Reference

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData. More...

`#include <MWAWSpreadsheetEncoder.hxx>`

Inheritance diagram for MWAWSpreadsheetEncoder:

## Public Member Functions
| MWAWSpreadsheetEncoder ()
| constructor More...
| ~MWAWSpreadsheetEncoder ()
| destructor More...
bool | getBinaryResult (librevenge::RVNGBinaryData &result, std::string &mimeType)
| return the final spreadsheet More...
void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)
void | startDocument (const librevenge::RVNGPropertyList &propList)
void | endDocument ()
void | definePageStyle (const librevenge::RVNGPropertyList &propList)
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | openPageSpan (const librevenge::RVNGPropertyList &propList)
void | closePageSpan ()
void | openHeader (const librevenge::RVNGPropertyList &propList)
void | closeHeader ()
void | openFooter (const librevenge::RVNGPropertyList &propList)
void | closeFooter ()
void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList)
void | openSheet (const librevenge::RVNGPropertyList &propList)
void | closeSheet ()
void | openSheetRow (const librevenge::RVNGPropertyList &propList)
void | closeSheetRow ()
void | openSheetCell (const librevenge::RVNGPropertyList &propList)
void | closeSheetCell ()
void | defineChartStyle (const librevenge::RVNGPropertyList &propList)
void | openChart (const librevenge::RVNGPropertyList &propList)
void | closeChart ()
void | openChartTextObject (const librevenge::RVNGPropertyList &propList)
void | closeChartTextObject ()
void | openChartPlotArea (const librevenge::RVNGPropertyList &propList)
void | closeChartPlotArea ()
void | insertChartAxis (const librevenge::RVNGPropertyList &axis)
void | openChartSerie (const librevenge::RVNGPropertyList &series)
void | closeChartSerie ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | defineSectionStyle (const librevenge::RVNGPropertyList &propList)
void | openSection (const librevenge::RVNGPropertyList &propList)
void | closeSection ()
void | insertTab ()
void | insertSpace ()
void | insertText (const librevenge::RVNGString &text)
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &propList)
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | openFootnote (const librevenge::RVNGPropertyList &propList)
void | closeFootnote ()
void | openComment (const librevenge::RVNGPropertyList &propList)
void | closeComment ()
void | openFrame (const librevenge::RVNGPropertyList &propList)
void | closeFrame ()
void | insertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | openTextBox (const librevenge::RVNGPropertyList &propList)
void | closeTextBox ()
void | openTable (const librevenge::RVNGPropertyList &propList)
void | closeTable ()
void | openTableRow (const librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | openGroup (const librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList)
void | drawRectangle (const librevenge::RVNGPropertyList &propList)
void | drawEllipse (const librevenge::RVNGPropertyList &propList)
void | drawPolygon (const librevenge::RVNGPropertyList &propList)
void | drawPolyline (const librevenge::RVNGPropertyList &propList)
void | drawPath (const librevenge::RVNGPropertyList &propList)
void | drawConnector (const ::librevenge::RVNGPropertyList &propList)
void | insertEquation (const librevenge::RVNGPropertyList &propList)

## Protected Attributes
shared_ptr< MWAWSpreadsheetEncoderInternal::State > | m_state
| the actual state More...

## Detailed Description

main class used to define store librevenge::RVNGSpreadsheetInterface lists of command in a librevenge::RVNGBinaryData.

See also
  MWAWSpreadsheetDecoder can be used to decode back the spreadsheet...

      \note as this class implements the functions librevenge::RVNGSpreadsheetInterface,

  the documentation is not duplicated..

## Constructor & Destructor Documentation

MWAWSpreadsheetEncoder::MWAWSpreadsheetEncoder | ( |  | ) |

constructor

MWAWSpreadsheetEncoder::~MWAWSpreadsheetEncoder | ( |  | ) |

destructor

## Member Function Documentation

void MWAWSpreadsheetEncoder::closeChart | ( |  | ) |

void MWAWSpreadsheetEncoder::closeChartPlotArea | ( |  | ) |

void MWAWSpreadsheetEncoder::closeChartSerie | ( |  | ) |

void MWAWSpreadsheetEncoder::closeChartTextObject | ( |  | ) |

void MWAWSpreadsheetEncoder::closeComment | ( |  | ) |

void MWAWSpreadsheetEncoder::closeFooter | ( |  | ) |

void MWAWSpreadsheetEncoder::closeFootnote | ( |  | ) |

void MWAWSpreadsheetEncoder::closeFrame | ( |  | ) |

void MWAWSpreadsheetEncoder::closeGroup | ( |  | ) |

void MWAWSpreadsheetEncoder::closeHeader | ( |  | ) |

void MWAWSpreadsheetEncoder::closeLink | ( |  | ) |

void MWAWSpreadsheetEncoder::closeListElement | ( |  | ) |

void MWAWSpreadsheetEncoder::closeOrderedListLevel | ( |  | ) |

void MWAWSpreadsheetEncoder::closePageSpan | ( |  | ) |

void MWAWSpreadsheetEncoder::closeParagraph | ( |  | ) |

void MWAWSpreadsheetEncoder::closeSection | ( |  | ) |

void MWAWSpreadsheetEncoder::closeSheet | ( |  | ) |

void MWAWSpreadsheetEncoder::closeSheetCell | ( |  | ) |

void MWAWSpreadsheetEncoder::closeSheetRow | ( |  | ) |

void MWAWSpreadsheetEncoder::closeSpan | ( |  | ) |

void MWAWSpreadsheetEncoder::closeTable | ( |  | ) |

void MWAWSpreadsheetEncoder::closeTableCell | ( |  | ) |

void MWAWSpreadsheetEncoder::closeTableRow | ( |  | ) |

void MWAWSpreadsheetEncoder::closeTextBox | ( |  | ) |

void MWAWSpreadsheetEncoder::closeUnorderedListLevel | ( |  | ) |

void MWAWSpreadsheetEncoder::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::endDocument | ( |  | ) |

bool MWAWSpreadsheetEncoder::getBinaryResult | ( | librevenge::RVNGBinaryData & | result,
|  | std::string & | mimeType
| ) |  |

return the final spreadsheet

void MWAWSpreadsheetEncoder::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::insertChartAxis | ( | const librevenge::RVNGPropertyList & | axis | ) |

void MWAWSpreadsheetEncoder::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::insertLineBreak | ( |  | ) |

void MWAWSpreadsheetEncoder::insertSpace | ( |  | ) |

void MWAWSpreadsheetEncoder::insertTab | ( |  | ) |

void MWAWSpreadsheetEncoder::insertText | ( | const librevenge::RVNGString & | text | ) |

void MWAWSpreadsheetEncoder::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openChartSerie | ( | const librevenge::RVNGPropertyList & | series | ) |

void MWAWSpreadsheetEncoder::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openSheet | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openSheetCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openSheetRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |

void MWAWSpreadsheetEncoder::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

shared_ptr<MWAWSpreadsheetEncoderInternal::State> MWAWSpreadsheetEncoder::m_state
| protected

the actual state

Referenced by closeChart(), closeChartPlotArea(), closeChartSerie(), closeChartTextObject(), closeComment(), closeFooter(), closeFootnote(), closeFrame(), closeGroup(), closeHeader(), closeLink(), closeListElement(), closeOrderedListLevel(), closePageSpan(), closeParagraph(), closeSection(), closeSheet(), closeSheetCell(), closeSheetRow(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeTextBox(), closeUnorderedListLevel(), defineCharacterStyle(), defineChartStyle(), defineEmbeddedFont(), defineGraphicStyle(), definePageStyle(), defineParagraphStyle(), defineSectionStyle(), defineSheetNumberingStyle(), drawConnector(), drawEllipse(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), getBinaryResult(), insertBinaryObject(), insertChartAxis(), insertCoveredTableCell(), insertEquation(), insertField(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openChart(), openChartPlotArea(), openChartSerie(), openChartTextObject(), openComment(), openFooter(), openFootnote(), openFrame(), openGroup(), openHeader(), openLink(), openListElement(), openOrderedListLevel(), openPageSpan(), openParagraph(), openSection(), openSheet(), openSheetCell(), openSheetRow(), openSpan(), openTable(), openTableCell(), openTableRow(), openTextBox(), openUnorderedListLevel(), setDocumentMetaData(), and startDocument().

The documentation for this class was generated from the following files:

- MWAWSpreadsheetEncoder.hxx
- MWAWSpreadsheetEncoder.cxx